<?php

	

$business = new vozilo ("Business Class","business", 3, 2, 1, 'Mercedes Benz E Class');
$confort = new vozilo ("Confort Class","confort", 3, 2, 1, 'Mercedes Benz E Class');
$premium = new vozilo ("Premium Class","premium", 3, 2, 1, 'Mercedes Benz S Class');
$van = new vozilo ("SUV Class","van", 4, 3, 2, 'Volvo XC90');


$luxus = new vozilo ("Luxus Class","luxus", 3, 3, 3, 'Mercedes Benz Maybach');
$businessvan = new vozilo ("Business VAN Class","businessvan", 7, 7, 7, 'Mercedes Benz V Class');
$helicopter = new vozilo ("Helicopter","suv", 4, 0, 2, 'Luxus Helicopter');
$bus = new vozilo ("Bus Class","bus", 70, 70, 70, 'Setra Travel Bus S531 DT (S516 HDH oder S515 HDH)');

$slika_auto = '';

//OBRADA PODATAKA
if (isset($klasa)) {	
	if($klasa == "business"){
		$klasa_display = $jezik == "de-CH" ? 'Business Class' : 'Business Class';
		$klasa_putnici = $business -> putnici;
		$klasa_prtljag = $business -> prtljag;
		$slika_auto = "images/business.webp";
	}elseif($klasa == "confort"){
		$klasa_display = $jezik == "de-CH" ? 'Confort Class' : 'Confort Class';
		$klasa_putnici = $confort -> putnici;
		$klasa_prtljag = $confort -> prtljag;
		$slika_auto = "images/confort.png";
	}elseif($klasa == "luxus"){
		$klasa_display = $jezik == "de-CH" ? 'Luxus Class' : 'Luxury Class';
		$klasa_putnici = $luxus -> putnici;
		$klasa_prtljag = $luxus -> prtljag;
		$slika_auto = "images/luxus.png";
	}elseif($klasa == "premium"){
		$klasa_display = $jezik == "de-CH" ? 'Premium Class' : 'Premium Class';
		$klasa_putnici = $premium -> putnici;
		$klasa_prtljag = $premium -> prtljag;
		$slika_auto = "images/premium.png";
	}elseif($klasa == "van"){
		$klasa_display = $jezik == "de-CH" ? "SUV Class" : "SUV Class";
		$klasa_putnici = $van -> putnici;
		$klasa_prtljag = $van -> prtljag;
		$slika_auto = "images/suv.png";
	}elseif($klasa == "businessvan"){
		$klasa_display = $jezik == "de-CH" ? "Business VAN Class" : "Business VAN Class";
		$klasa_putnici = $businessvan -> putnici;
		$klasa_prtljag = $businessvan -> prtljag;
		$slika_auto = "images/businessvan.webp";
	}elseif($klasa == "bus"){
		$klasa_display = $jezik == "de-CH" ? "Bus Class" : "Bus Class";
		$klasa_putnici = $bus -> putnici;
		$klasa_prtljag = $bus -> prtljag;
		$slika_auto = "images/bus.png";
	}elseif($klasa == "helicopter"){
		$klasa_display = $jezik == "de-CH" ? "Hubschrauber" : "Helicopter";
		$klasa_putnici = $helicopter -> putnici;
		$klasa_prtljag = $helicopter -> prtljag;
		$slika_auto = "images/helicopter.png";
	}  
}

$sati_display = '';
if (isset($sati)) {	
	if($sati == "2"){
		$sati_display = '2h (40km inkl.)';
	}elseif($sati == "3"){
		$sati_display = '3h (60 km inkl.)';
	}elseif($sati == "4"){
		$sati_display = '4h (80 km inkl.)';
	}elseif($sati == "5"){
		$sati_display = '5h (100 km inkl.)';
	}elseif($sati == "10"){
		$sati_display = '10h (200 km inkl.)';
	}elseif($sati == "11"){
		$sati_display = '11h (220 km inkl.)';
	}elseif($sati == "12"){
		$sati_display = '12h (240 km inkl.)';
	}elseif($sati == "13"){
		$sati_display = '13h (260 km inkl.)';
	}elseif($sati == "14"){
		$sati_display = '14h (280 km inkl.)';
	}elseif($sati == "15"){
		$sati_display = '15h (300 km inkl.)';
	}elseif($sati == "16"){
		$sati_display = '16h (320 km inkl.)';
	}elseif($sati == "17"){
		$sati_display = '17h (340 km inkl.)';
	}elseif($sati == "18"){
		$sati_display = '18h (360 km inkl.)';
	}
}


if (isset($povratak)) {	
	if($povratak == "roundtrip"){
		$povratak_display = $prevodPovratakRoundtrip;
		$povratak_class = 'ride_povratak_roundtrip';
	}elseif($povratak == "oneway"){
		$povratak_display = $prevodPovratakOneway;
		$povratak_class = 'ride_povratak_oneway';
	}elseif($povratak == ""){
		$povratak_display = $prevodTaboviSati;	
		$povratak_class = 'ride_povratak_hours';
	}
}


if (isset($trajanje)) {
	$hours = floor($trajanje / 3600);
	$seconds = $trajanje - $hours * 3600;
	$minutes = floor($seconds / 60);

	$trajanje_display = $hours.' h '.$minutes.' min'; 
}	

if (isset($placanje)) {
	if($placanje == "twint"){
		$placanje_display = 'Twint';
	}if($placanje == "creditcard"){
		$placanje_display = $prevodPlacanjeCardOnline;
	}elseif($placanje =="cashincar"){
		$placanje_display = $prevodPlacanjeCashInCar;
	}
}


if (isset($cijena)) {
	$cijena_vat = round($cijena * 0.081, 2);  
	$cijena_without_vat = round($cijena - $cijena * 0.081, 2); 
	$cijena_ukupno = round(($cijena + $cijena_vat), 2);  
}


	 
	
	

?>
 